#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/28 12:53
# @File        : init_config.py
# @Description : flask-dynaconf extension
"""

from flask import Flask

from dynaconf import FlaskDynaconf


def init_config(app: Flask) -> None:
    """
    Initialize the dynaconf extension

    :param app: flask.Flask application instance
    :return: None
    """
    FlaskDynaconf(
        app=app,
        loaders=[
            "application.utils.loaders.consul_loader",
            "application.utils.loaders.yaml_loader",
        ],
    )
